@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@600&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

html {
    font-family: 'Nunito';
    font-size: 12px;
    font-weight: 600;
}

section {
    min-height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 100px 0 0 0;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    background-color: rgb(26, 26, 27);
    position: relative;
}

.container {
    width: 90%;
    height: auto;
    max-width: 1200px;
    margin: 0 auto;
}

.brand {
    text-align: center;
    font-size: 4rem;
    color: whitesmoke;
    margin-bottom: 30px;
}

form {
    width: 90%;
    max-width: 400px;
    margin: 20px auto;
    background-color: rgb(223, 223, 223);
    border-radius: 4px;
}

form input {
    width: 90%;
    background-color: transparent;
    padding: 10px;
    border: none;
    outline: none;
    font-size: 2rem;
    display: inline-block;
}

form i {
    width: 9%;
    font-size: 2.51rem;
    margin: -9px;
    color: rgb(75, 75, 75);
}

.search-result {
    margin-top: 50px;
    width: 100%;
    display: grid;
    grid-gap: 25px;
    grid-template: auto / repeat(auto-fit, minmax(300px, 1fr));
}

.item {
    width: 100%;
    border-radius: 8px;
    background-color: rgb(37, 37, 37);
    padding: 15px;
    overflow: hidden;
}

.item img {
    width: 100%;
    height: 300px;
    border-radius: 4px;
}

.item .flex-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.item .title {
    color: whitesmoke;
    margin: 20px 10px 0 0;
    font-size: 1.8rem;
    font-weight: 400;
}

.view-button {
    text-decoration: none;
    text-align: center;
    width: 120px;
    padding: 8px 0;
    background-color: #404041;
    color: whitesmoke;
    font-size: 1.2rem;
    margin-top: 20px;
    border-radius: 4px;
    align-self: flex-start;
}

.item-data {
    color: whitesmoke;
    display: block;
    margin-top: 10px;
    font-size: 1.2rem;
    letter-spacing: .08rem;
    line-height: 1.5rem;
    background-color: hsla(43, 74%, 49%, 0.3);
    border-radius: 4px;
}

.container .copy {
    display: flex;
    bottom: 10px;
    right: 15px;
    color: goldenrod;
    font-size: 1.3rem;
    background-color: rgba(255, 166, 0, 0.2);
    box-shadow: 0 0 1.5rem rgba(255, 166, 0, 0.436);
    border-radius: 4px;
    padding: 0 5px;
    position: absolute;
}

.container .copy a {
    color: goldenrod;
    text-decoration: none;
    margin-left: 5px;
}

.container.initial .brand {
    font-size: 7rem;
}

.container.initial form {
    max-width: 800px;
}

.container.initial form input {
    padding: 20px;
    font-size: 3rem;
}

/* MEDIA QUERY */
@media screen and (max-width: 768px) {
    .container.initial .brand {
        font-size: 5rem;
    }

    .container.initial form input {
        padding: 15px;
        font-size: 2rem;
    }

    form i {
        width: 9%;
        margin: -10px;
    }
}